Skip to content

List bills

GET
/v1/bills/

Returns all linked bills for the authenticated user.

Response for status 200

Array<object>
object
id
required

Unique identifier for the bill

string
status
required
string
Allowed values: active pending inactive rejected
name
required

Provider bill name or generated fallback label

string
institution

Financial institution details

object
name
required

Name of the financial institution

string
logo

URL to institution logo

string
type
required
string
Allowed values: auto_loan credit_card loan mobile_phone mortgage student_loan utility unknown
accountNumberLast4

Last 4 digits of the bill account number

string
currency
required
string
Allowed values: USD CAD EUR GBP
liability

Liability data from the bill provider. All fields are optional and amounts are decimal strings.

object
balance

Current outstanding balance

string
statementBalance

Most recent statement balance

string
minimumPayment

Minimum payment due

string
lastPaymentAmount

Amount of the last payment made

string
lastPaymentDate

Date of the last payment

string format: date
nextPaymentDueDate

Date the next payment is due

string format: date
amountPastDue

Amount currently past due

string
updatedAt

When this liability data was last refreshed from the provider

string format: date-time
createdAt
required

When the bill was linked

string format: date-time

Response for status 401

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
realm

The authentication realm

string
scope

The required scope for this resource

string

Response for status 404

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string
resourceType
required

The type of resource that was not found

string
resourceId
required

The identifier of the resource that was not found

string

Response for status 500

object
type

A URI reference that identifies the problem type

string
default: about:blank
title
required

A short, human-readable summary of the problem type

string
status
required

The HTTP status code

number
detail

A human-readable explanation specific to this occurrence

string
instance

A URI reference that identifies the specific occurrence

string